Package org.apache.felix.http.jakartawrappers

# Class ServletOutputStreamWrapper

java.lang.Object
java.io.OutputStream
jakarta.servlet.ServletOutputStream
org.apache.felix.http.jakartawrappers.ServletOutputStreamWrapper

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class ServletOutputStreamWrapper extends jakarta.servlet.ServletOutputStream
Servlet output stream

## Constructor Summary

Constructors
Constructor
Description
`ServletOutputStreamWrapper(javax.servlet.ServletOutputStream stream)`
Create new stream

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`boolean`
`isReady()`
`void`
`print(boolean b)`
`void`
`print(char c)`
`void`
`print(double d)`
`void`
`print(float f)`
`void`
`print(int i)`
`void`
`print(long l)`
`void`
`print(String s)`
`void`
`println()`
`void`
`println(boolean b)`
`void`
`println(char c)`
`void`
`println(double d)`
`void`
`println(float f)`
`void`
`println(int i)`
`void`
`println(long l)`
`void`
`println(String s)`
`void`
`setWriteListener(jakarta.servlet.WriteListener writeListener)`
`void`
`write(byte[] b)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class jakarta.servlet.ServletOutputStream

`write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletOutputStreamWrapper

public ServletOutputStreamWrapper(@NotNull javax.servlet.ServletOutputStream stream)
Create new stream

Parameters:
  `stream` - wrapped stream

## Method Details

### print

public void print(String s) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### print

public void print(boolean b) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### print

public void print(char c) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### print

public void print(int i) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### print

public void print(long l) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### print

public void print(float f) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### print

public void print(double d) throws IOException

Overrides:
  `print` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println() throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(String s) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(boolean b) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(char c) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(int i) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(long l) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(float f) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### println

public void println(double d) throws IOException

Overrides:
  `println` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`

### isReady

public boolean isReady()

Specified by:
  `isReady` in class `jakarta.servlet.ServletOutputStream`

### setWriteListener

public void setWriteListener(jakarta.servlet.WriteListener writeListener)

Specified by:
  `setWriteListener` in class `jakarta.servlet.ServletOutputStream`

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `jakarta.servlet.ServletOutputStream`
Throws:
  `IOException`